summaryrefslogtreecommitdiffstats
path: root/dlothers.sh
diff options
context:
space:
mode:
Diffstat (limited to 'dlothers.sh')
-rwxr-xr-xdlothers.sh29
1 files changed, 29 insertions, 0 deletions
diff --git a/dlothers.sh b/dlothers.sh
new file mode 100755
index 0000000..6a7fd8f
--- /dev/null
+++ b/dlothers.sh
@@ -0,0 +1,29 @@
+#!/bin/bash
+# This was borrowed from nodejs-grunt-contrib-concat
+
+tag=v1.8.0
+
+set -e
+
+tmp=$(mktemp -d)
+
+trap cleanup EXIT
+cleanup() {
+ set +e
+ [ -z "$tmp" -o ! -d "$tmp" ] || rm -rf "$tmp"
+}
+
+unset CDPATH
+pwd=$(pwd)
+
+pushd "$tmp"
+git clone https://github.com/WordPress/Requests.git
+ls
+cd Requests
+git archive --prefix="docs/" --format=tar ${tag}:docs/ \
+ | bzip2 > "$pwd"/docs-${tag}.tar.bz2
+git archive --prefix="examples/" --format=tar ${tag}:examples/ \
+ | bzip2 > "$pwd"/examples-${tag}.tar.bz2
+git archive --prefix="tests/" --format=tar ${tag}:tests/ \
+ | bzip2 > "$pwd"/tests-${tag}.tar.bz2
+popd